%define libname     %mklibname %{name} 0

Summary:        KDE tabulature editor 
Name:           kguitar 
Version:        0.5.1
Release:        %mkrel 1
License:        GPL
Group:          Sound
URL:            http://kguitar.sourceforge.net/ 
Source0:        http://downloads.sourceforge.net/sourceforge/kguitar/kguitar-%{version}.tar.bz2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs-devel
BuildRequires:  qt3-devel
BuildRequires:  tse3-devel 
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
KGuitar is basically a guitar tabulature editor for K Desktop
Environment. It's much more than just a tab editor. It's features are:

* free GPLed K Desktop Environment GUI
* Powerful and convenient tabulature editing, including many effects
  and classical note score editing for classic instrument players;
* Full and very customizable MIDI to tabulature import and export;
* Support of extra data formats, such as ASCII tabulatures or popular
  programs' format, such as Guitar Pro's or TablEdit;
* Chord fingering construction tools - chord finder & chord analyzer;
* Highly customizable to suit a lot of possible instruments (not only
  6-stringed guitars, and even not only guitars), including drum tracks,
  lyrics and other MIDI events.

Well, right now KGuitar is in very alpha state and doesn't support
everything stated. However, it already features a nice tabulature
editor, though not ultimately powerful, loading/saving its own format (kg
files) and all the chord construction tools.

%package -n %{libname}
Epoch:          1
Summary:        KGuitar library
Group:          System/Libraries
Provides:       libkguitar = %{epoch}:%{version}-%{release}
Obsoletes:      libkguitar < %{epoch}:%{version}-%{release}
#(neoclust) ticket 15981
Provides:       libkguitar-devel = %{epoch}:%{version}-%{release}
Obsoletes:      libkguitar-devel < %{epoch}:%{version}-%{release}

%description -n %{libname}
This is the shared libraries for KGuitar.

%prep
%setup -q

export QTDIR=%{qt3dir}
%{configure2_5x} --disable-rpath

%build
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall} TEXMF=%{buildroot}%{_datadir}/texmf
%find_lang %{name}
%find_lang %{name}-%version
%{__cat} %{name}-%{version}.lang >> %name.lang

%{_bindir}/desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Art" \
  --add-category="Music" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/kguitar.desktop

%{__rm} %{buildroot}%{_datadir}/applnk/Multimedia/kguitar.desktop

%clean
%{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README DEVELOPERS COPYING AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/applications/kde/kguitar.desktop
%{_datadir}/apps/kguitar
%{_iconsdir}/*/*/mimetypes/kguitar_tab.png
%{_iconsdir}/*/*/apps/kguitar.png
%{_datadir}/mimelnk/application/x-kguitar.desktop
%{_datadir}/services/kguitar_part.desktop
%{_datadir}/doc/HTML/en/kguitar/

%files -n %libname
%defattr(-,root,root)
%doc COPYING 
%{_libdir}/kde3/libkguitarpart.la
%{_libdir}/kde3/*.so


%changelog
* Thu Jan 17 2008 David Walluck <walluck@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 154059
- spec cleanup
- 0.5.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 03 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-6mdv2008.0
+ Revision: 34864
- XDG menu
- use standard qt3 macros
- Rebuild


* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-5mdv2007.0
- XDG
- Add Conflict

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-4mdk
- Remove -devel sub package thanks to Emmanuel Andry for pointed me  
                  out this problem

* Tue May 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-3mdk
- Fix Files section

* Tue May 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-2mdk
- Fix BuildRequires
- Fix build on AMD64

* Fri Apr 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- Release 0.5.0

* Wed Jul 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.9-4mdk
- rebuild with new g++
- patch 1: fix compiling with new g++

* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.9-3mdk
- fix unstallable devel subpackage

